/*---------------------------------------------------------------------------*\
  =========                 |
  \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
   \\    /   O peration     |
    \\  /    A nd           | Copyright (C) 2011-2013 OpenFOAM Foundation
     \\/     M anipulation  |
-------------------------------------------------------------------------------
License
    This file is part of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

Description
    Creates EnergyModel instances

\*---------------------------------------------------------------------------*/

#include "simpleEnergyModel.H"
#include "noEnergyModel.H"
#include "BoundaryTableEnergyModel.H"
#include "CorrectBCEnergyModel.H"
#include "FixedTemperatureEnergyModel.H"
#include "PureConductionEnergyModel.H"
#include "PyrolysisEnergyModel.H"
#include "Pyrolysis_Heterogeneous_SpeciesDiffusionEnergyModel.H"
#include "addToRunTimeSelectionTable.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

namespace Foam
{
defineTypeNameAndDebug(noEnergyModel, 0);
addToRunTimeSelectionTable(simpleEnergyModel, noEnergyModel, fvMesh);

defineTypeNameAndDebug(BoundaryTableEnergyModel, 0);
addToRunTimeSelectionTable(simpleEnergyModel, BoundaryTableEnergyModel, fvMesh);

defineTypeNameAndDebug(CorrectBCEnergyModel, 0);
addToRunTimeSelectionTable(simpleEnergyModel, CorrectBCEnergyModel, fvMesh);

defineTypeNameAndDebug(FixedTemperatureEnergyModel, 0);
addToRunTimeSelectionTable(simpleEnergyModel, FixedTemperatureEnergyModel, fvMesh);

defineTypeNameAndDebug(PureConductionEnergyModel, 0);
addToRunTimeSelectionTable(simpleEnergyModel, PureConductionEnergyModel, fvMesh);

defineTypeNameAndDebug(PyrolysisEnergyModel, 0);
addToRunTimeSelectionTable(simpleEnergyModel, PyrolysisEnergyModel, fvMesh);

defineTypeNameAndDebug(Pyrolysis_Heterogeneous_SpeciesDiffusionEnergyModel, 0);
addToRunTimeSelectionTable(simpleEnergyModel, Pyrolysis_Heterogeneous_SpeciesDiffusionEnergyModel, fvMesh);

}

// ************************************************************************* //
