#ifndef SUBTEST_H
#define SUBTEST_H

#include <vector>
#include <string>
#include <cmath>

#include "testresult.h"
#include "fvCFD.H"
#include "IOFunctions.H"

class SubTest;
typedef TestResult (*test)();

class SubTest
{

public:

    SubTest();
    std::vector<TestResult> runAllTests();
    int numTests();
    void addTest(test t);
    std::string testSuiteName;

protected:

    std::vector<test> tests;

    static bool assertEquals(int valExpected, int valActual, TestResult *result);
    static bool assertEquals(long valExpected, long valActual, TestResult *result);
    static bool assertEquals(float valExpected, float valActual, TestResult *result);
    static bool assertEquals(double valExpected, double valActual, TestResult *result);
    static bool assertEquals(std::string valExpected, std::string valActual, TestResult *result);
    static bool assertEquals(char valExpected, char valActual, TestResult *result);
    static bool assertEquals(bool valExpected, bool valActual, TestResult *result);
    static bool assertEquals(vector valExpected, vector valActual, TestResult *result);
    static bool assertEquals(tensor valExpected, tensor valActual, TestResult *result);
    static bool assertEquals(fileName valExpected, fileName valActual, TestResult *result);
};

#endif // SUBTEST_H
